%global fontname cardo
%global fontconf 62-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        0.098 
Release:        1%{?dist}
Summary:        A font for scholarly use in classical and medieval languages

Group:          User Interface/X
License:        OFL
URL:            http://code.google.com/p/googlefontdirectory/source/browse/cardo/
Source0:        http://googlefontdirectory.googlecode.com/hg/cardo/Cardo98s.ttf 
Source1:        %{name}-fontconfig.conf
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
Cardo is a large Unicode font specifically designed for the needs of 
classicists, Biblical scholars, medievalists, and linguists.  Since it may be
used to prepare materials for publication, it also contains features that are
required for high-quality typography, such as ligatures, text figures (also 
known as old style numerals), true small capitals and a variety of punctuation
and space characters.  It may also be used to document and discuss the features
of Unicode that are applicable to the these disciplines, as we work to help 
colleagues understand the value (and limitations) of Unicode.
This font has been revived in modern times under several names (Bembo, Aetna,
Aldine 401).

%prep
%setup -c -T
cp -p %{SOURCE0} .


%build


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.ttf

%doc


%changelog
* Wed May 26 2010 Parag Nemade <pnemade AT redhat.com> - 0.098-1
- Initial Fedora release.

